/*
 * @Author: Badguy
 * @Date: 2022-02-14 09:37:11
 * @LastEditTime: 2022-03-30 10:42:31
 * @LastEditors: your name
 * @Description: 账号组|岗位路由表
 * have a nice day!
 */
import request from '@/utils/request'
const accountGroupType = PLATFROM_CONFIG.accountGroupType

// 账号组|岗位树查询
export function GetGroupTree (params) {
  return request({
    url: '/api/fs4a/GetGroupTree/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//账号组|岗位新增
export function SaveGroup (params) {
  return request({
    url: '/api/fs4a/SaveGroup/v1',
    method: 'post',
    data: params,
    msg: `${accountGroupType}新增`,
    Ident: 'group_btn_save',
    proxy: true
  })
}

//账号组|岗位删除
export function DeleteGroup (params) {
  return request({
    url: '/api/fs4a/DeleteGroup/v1',
    method: 'post',
    data: params,
    msg: `${accountGroupType}删除`,
    Ident: 'grouptree_btn_del_group',
    proxy: true
  })
}

//账号组|岗位详情
export function GetGroupDetails (params) {
  return request({
    url: '/api/fs4a/GetGroupDetails/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//账号组|岗位修改状态
export function ChangeGroupStatus (params) {
  return request({
    url: '/api/fs4a/ChangeGroupStatus/v1',
    method: 'post',
    data: params,
    msg: `${accountGroupType}状态变更`,
    Ident: 'grouptree_btn_state_switch',
    proxy: true
  })
}

// 根据账号组|岗位获取权限树
export function GetAuthTreeByGroup (params) {
  return request({
    url: '/api/fs4a/GetAuthTreeByGroup/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

// 修改保存账号组|岗位
export function EditGroup (params) {
  return request({
    url: '/api/fs4a/EditGroup/v1',
    method: 'post',
    data: params,
    msg: `${accountGroupType}编辑`,
    Ident: 'group_btn_edit',
    proxy: true
  })
}

//根据账号组|岗位获取角色
export function GetRoleByGroup (params) {
  return request({
    url: '/api/fs4a/GetRoleByGroup/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}
